module CodeMushu.Constant where

import CodeMushu.Type
import CodeMushu.Thread

import Rika.Type.Default


dummy_cb :: StatusCallback
dummy_cb x = return () -- jailed (print x)

dummy_git_repo :: String
dummy_git_repo = "~/scm/git/iphone2/matrix-mushu"

dummy_hg_repo :: String
dummy_hg_repo = "~/scm/hg/pip"

dummy_darcs_repo:: String
dummy_darcs_repo = "~/scm/darcs/haskell/darcsden"

dummy_raw_repo:: String
dummy_raw_repo = "http://code.jquery.com/jquery-1.4.2.min.js"

dummy_archive_repo:: String
dummy_archive_repo = "http://funkymic.com/pri/source-code/loli.tgz"

dummy_svn_repo:: String
dummy_svn_repo = "http://syntaxhighlighter.googlecode.com/svn/trunk/"


dummy_good_project :: Project
dummy_good_project = def
  {
    project_id = 0
  , project_name = "dummy_good"
  , project_url = "http://dummy-good.git"
  }

dummy_bad_project :: Project
dummy_bad_project = def
  {
    project_id = 1
  , project_name = "dummy_bad"
  , project_url = "http://dummy-bad.git"
  }
